com.ihr.xbrl.om.table.structural

## Class XBRLDimensionClosedRelationshipStructuralNode

- java.lang.Object
- - com.ihr.xbrl.om.table.structural.XBRLStructuralNode
  - - com.ihr.xbrl.om.table.structural.XBRLClosedRelationshipStructuralNode<DimensionAndValuePair<javax.xml.namespace.QName>>
    - - com.ihr.xbrl.om.table.structural.XBRLDimensionClosedRelationshipStructuralNode

- All Implemented Interfaces:
    DimensionAspectInterface<javax.xml.namespace.QName>, ExplicitDimensionAspectInterface, Aspect<DimensionAndValuePair<javax.xml.namespace.QName>>, StructuralNodeInterface

      public class XBRLDimensionClosedRelationshipStructuralNode
      extends XBRLClosedRelationshipStructuralNode<DimensionAndValuePair<javax.xml.namespace.QName>>
      implements ExplicitDimensionAspectInterface

  The Class XBRLDimensionClosedRelationshipStructuralNode.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLDimensionClosedRelationshipStructuralNode(XBRLDefinitionNodeUse dnu, XBRLStructuralNode parent, java.util.Hashtable<java.lang.String,java.util.Hashtable<java.lang.Object,AspectAndDistanceToLeaf>> mergeAspects, java.lang.String mergeTagSelectors, RelationshipGraphNode.Node<?> node)` Instantiates a new XBRL dimension closed relationship structural node.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAspectClashIdentity()` Returns an object that can be used to evaluate aspect clash.
    `int` | `getAspectType()` Returns a value from the CommonAspectRule class that identifies the aspect type.
    `javax.xml.namespace.QName` | `getDimension()` Gets the dimension.
    `java.lang.String` | `getLabel(CellHeader cell)` Returns a label that represents the structural node.
    `javax.xml.namespace.QName` | `getMember(XBRLStructuralTable xbrlTable)` Obtains the member this aspect resolves to.
    `DimensionAndMemberQNamesPair` | `getMember(XBRLStructuralTable table, CellHeader[] header)` Convert this aspect into a proper Member
    `int` | `getMembersCount()` Gets the members count.
    `void` | `resetNode()` Reset node.

    - ### Methods inherited from class com.ihr.xbrl.om.table.structural.XBRLClosedRelationshipStructuralNode

      `collectAspects, getNode, getValueCount, isAbstract, toString`

    - ### Methods inherited from class com.ihr.xbrl.om.table.structural.XBRLStructuralNode

      `addChild, addMergeAspect, create, create, createRollup, getAspects, getBase, getConsolidatedAspects, getDistanceToLeaf, getLocalAspects, getLocalTags, getMergeTagSelector, getNodeAt, getNodeCount, getNodes, getParent, getTags, getTagSelector, hasAspect, isLeaf, isRollUp, resetDistanceToLeaf, resetMergeTagSelector`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLDimensionClosedRelationshipStructuralNode

          public XBRLDimensionClosedRelationshipStructuralNode(XBRLDefinitionNodeUse dnu,
                                                       XBRLStructuralNode parent,
                                                       java.util.Hashtable<java.lang.String,java.util.Hashtable<java.lang.Object,AspectAndDistanceToLeaf>> mergeAspects,
                                                       java.lang.String mergeTagSelectors,
                                                       RelationshipGraphNode.Node<?> node)

      Instantiates a new XBRL dimension closed relationship structural node.
      Parameters:
        `dnu` - the dnu
        `parent` - the parent
        `mergeAspects` - the merge aspects
        `mergeTagSelectors` - the merge tag selectors
        `node` - the node

  - ### Method Detail

    - #### getAspectClashIdentity

          public java.lang.Object getAspectClashIdentity()

      Description copied from interface: `Aspect`
      Returns an object that can be used to evaluate aspect clash.
      Specified by:
        `getAspectClashIdentity` in interface `Aspect<DimensionAndValuePair<javax.xml.namespace.QName>>`
      Returns:
        the aspect clash identity

    - #### getAspectType

          public int getAspectType()

      Description copied from interface: `Aspect`
      Returns a value from the CommonAspectRule class that identifies the aspect type.
      Specified by:
        `getAspectType` in interface `Aspect<DimensionAndValuePair<javax.xml.namespace.QName>>`
      Returns:
        the aspect type

    - #### getDimension

          public javax.xml.namespace.QName getDimension()

      Description copied from interface: `DimensionAspectInterface`
      Gets the dimension.
      Specified by:
        `getDimension` in interface `DimensionAspectInterface<javax.xml.namespace.QName>`
      Returns:
        the dimension

    - #### getMember

          public javax.xml.namespace.QName getMember(XBRLStructuralTable xbrlTable)

      Description copied from interface: `ExplicitDimensionAspectInterface`
      Obtains the member this aspect resolves to.
      Specified by:
        `getMember` in interface `ExplicitDimensionAspectInterface`
      Parameters:
        `xbrlTable` - the structural table that may contain parameters in case the the member has to be evaluated using an XPath expression
      Returns:
        QName, dimension member

    - #### getMembersCount

          public int getMembersCount()

      Description copied from interface: `DimensionAspectInterface`
      Gets the members count.
      Specified by:
        `getMembersCount` in interface `DimensionAspectInterface<javax.xml.namespace.QName>`
      Returns:
        the members count

    - #### resetNode

          public void resetNode()

      Description copied from interface: `DimensionAspectInterface`
      Reset node.
      Specified by:
        `resetNode` in interface `DimensionAspectInterface<javax.xml.namespace.QName>`

    - #### getMember

          public DimensionAndMemberQNamesPair getMember(XBRLStructuralTable table,
                                               CellHeader[] header)

      Description copied from interface: `Aspect`
      Convert this aspect into a proper Member depending on the aspect type. Member can be used later to search for facts that satisfy the set of members
      Specified by:
        `getMember` in interface `Aspect<DimensionAndValuePair<javax.xml.namespace.QName>>`
      Parameters:
        `table` - the table
        `header` - the header
      Returns:
        the member

    - #### getLabel

          public java.lang.String getLabel(CellHeader cell)

      Description copied from class: `XBRLStructuralNode`
      Returns a label that represents the structural node. This label will be used in the user interface so the label shall consider user preferences set in the DTSContainer. The cell parameter can provide required information to know the cell position or value index on open nodes
      Specified by:
        `getLabel` in class `XBRLStructuralNode`
      Parameters:
        `cell` - the cell
      Returns:
        the label